Provision OPENSSL env variable for openSUSE 13.1
authorTony Sarajärvi <tony.sarajarvi@qt.io>
Mon, 21 Nov 2016 11:10:52 +0000 (13:10 +0200)
committerAapo Keskimolo <aapo.keskimolo@qt.io>
Tue, 22 Nov 2016 14:29:51 +0000 (14:29 +0000)
Fix building on OpenSuse after openssl update.
Every linux distro seems to patch openssl in a different way to deal with
broken/outdated SSL issues. We seem unable to detect what suse did when
running configure, so this is a stop-gap measure.

Change-Id: I5e375e9c5c1615358dbce0b8dd91476cb4f4e45b
Reviewed-by: Tony Sarajärvi <tony.sarajarvi@qt.io>
Reviewed-by: Aapo Keskimolo <aapo.keskimolo@qt.io>
Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
coin/provisioning/qtci-linux-OpenSuSE-13.01-x86_64/openssl_allow_ssl2.sh [new file with mode: 0755]

diff --git a/coin/provisioning/qtci-linux-OpenSuSE-13.01-x86_64/openssl_allow_ssl2.sh b/coin/provisioning/qtci-linux-OpenSuSE-13.01-x86_64/openssl_allow_ssl2.sh
new file mode 100755 (executable)
index 0000000..e958ea8
--- /dev/null
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2016 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# hack: it seems that opensuse patched their openssl in a way that
+# disables ssl 2 without allowing configure's compile detection to work
+echo "export OPENSSL_ALLOW_SSL2=1" >>~/.bashrc